Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1566268 - [abrt] gpaste: g_type_check_instance_is_fundamentally_a(): gpaste-daemon killed by SIGSEGV
Summary: [abrt] gpaste: g_type_check_instance_is_fundamentally_a(): gpaste-daemon kill...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gpaste
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b6396feed21d2c8bc14a4915f24...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-11 23:09 UTC by Jennings Zhang
Modified: 2018-11-30 21:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:13:33 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (35.62 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: cgroup (345 bytes, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: core_backtrace (22.60 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: dso_list (9.55 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: environ (1.18 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: exploitable (82 bytes, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: limits (1.29 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: maps (44.35 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: mountinfo (3.78 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: open_fds (844 bytes, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-04-11 23:09 UTC, Jennings Zhang
no flags Details
File: var_log_messages (382 bytes, text/plain)
2018-04-11 23:10 UTC, Jennings Zhang
no flags Details

Description Jennings Zhang 2018-04-11 23:09:41 UTC
Description of problem:
Likely unrelated: added an fstab entry prior to reboot. 

UUID=293091041934C661   /mnt/same         ntfs-3g       user,noauto,nofail,x-systemd.automount,noexec 0 2

Tried to login GDM, cursor was redrawn as gnome-shell took control (normal), however screen is frozen grey with mouse in the center. gnome-shell crashes after a minute.

Version-Release number of selected component:
gpaste-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpaste-daemon
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/gpaste/gpaste-daemon
journald_cursor: s=5626296edc574fafbd09278dac3c6d3a;i=20963;b=cb121e300935486fb01d248b3a082449;m=e3c5ef;t=5699a709b24ce;x=6764c2667c6bc6b8
kernel:         4.15.15-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4026
 #2 g_paste_image_item_set_state at src/libgpaste/core/gpaste-image-item.c:134
 #3 _g_paste_history_add at src/libgpaste/core/gpaste-history.c:264
 #4 g_paste_history_add at src/libgpaste/core/gpaste-history.c:320
 #5 g_paste_clipboards_manager_notify_finish at src/libgpaste/core/gpaste-clipboards-manager.c:134
 #6 g_paste_clipboards_manager_image_ready at src/libgpaste/core/gpaste-clipboards-manager.c:275
 #7 g_paste_clipboard_on_image_ready at src/libgpaste/core/gpaste-clipboard.c:508
 #8 request_image_received_func at gtkclipboard.c:1224
 #9 selection_received at gtkclipboard.c:960
 #13 g_signal_emit_by_name at gsignal.c:3487

Potential duplicate: bug 1564578

Comment 1 Jennings Zhang 2018-04-11 23:09:46 UTC
Created attachment 1420564 [details]
File: backtrace

Comment 2 Jennings Zhang 2018-04-11 23:09:47 UTC
Created attachment 1420565 [details]
File: cgroup

Comment 3 Jennings Zhang 2018-04-11 23:09:48 UTC
Created attachment 1420566 [details]
File: core_backtrace

Comment 4 Jennings Zhang 2018-04-11 23:09:50 UTC
Created attachment 1420567 [details]
File: cpuinfo

Comment 5 Jennings Zhang 2018-04-11 23:09:51 UTC
Created attachment 1420568 [details]
File: dso_list

Comment 6 Jennings Zhang 2018-04-11 23:09:52 UTC
Created attachment 1420569 [details]
File: environ

Comment 7 Jennings Zhang 2018-04-11 23:09:53 UTC
Created attachment 1420570 [details]
File: exploitable

Comment 8 Jennings Zhang 2018-04-11 23:09:54 UTC
Created attachment 1420571 [details]
File: limits

Comment 9 Jennings Zhang 2018-04-11 23:09:56 UTC
Created attachment 1420572 [details]
File: maps

Comment 10 Jennings Zhang 2018-04-11 23:09:57 UTC
Created attachment 1420573 [details]
File: mountinfo

Comment 11 Jennings Zhang 2018-04-11 23:09:57 UTC
Created attachment 1420574 [details]
File: open_fds

Comment 12 Jennings Zhang 2018-04-11 23:09:58 UTC
Created attachment 1420575 [details]
File: proc_pid_status

Comment 13 Jennings Zhang 2018-04-11 23:10:00 UTC
Created attachment 1420576 [details]
File: var_log_messages

Comment 14 Or Schiro 2018-04-21 15:28:28 UTC
I used flameshot > copy to clipboard which caused gpaste and gpaste gnome-shell extension to crash.

Potentially related to this bug report: https://bugzilla.redhat.com/show_bug.cgi?id=1566268

Tested on Fedora 28, gnome-shell 3.28.1, gpaste 3.28.1-1.fc28, 0.5.1-1.fc28

See also https://github.com/lupoDharkael/flameshot/issues/197

Comment 15 Kazimieras Vaina 2018-04-25 13:46:44 UTC
Similar problem has been detected:

Copied an image in WPS office application.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/libexec/gpaste/gpaste-daemon
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/libexec/gpaste/gpaste-daemon
journald_cursor: s=f3365bc10cc34a86b733decf6940c9b3;i=5271128;b=e81c2297bb474497955bea1d1085db0c;m=2c8220cc87;t=56aabf006ddd1;x=2d411cbf5fea7f35
kernel:         4.15.17-300.fc27.x86_64
package:        gpaste-3.26.2-1.fc27
reason:         gpaste-daemon killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Ben Cotton 2018-11-27 16:02:21 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2018-11-30 21:13:33 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.